function makebetatable(y_hat)

[V N] = size(y_hat);

betaname=cell(1,N);
D=ceil((2*N-2).^.5-2);
for i=0:D
    betaname(i+1)={['$\alpha_{d,' num2str(i) '}$']};
end
for i=1:D
    betaname(i+D+1)={['$\beta_{d,' num2str(i) ',' num2str(i) '}$']};
end
k=2*D+1;
for i=1:D-1
    for j=i+1:D
        k=k+1;
        betaname(k)={['$\beta_{d,' num2str(i) ',' num2str(j) '}$']};
    end
end

varlist={(1:9),(10:17)};
text='';
for ii=1:2
    text=[text 'd'];
    for v=varlist{ii}
        text=[text ' & ' num2str(v)];
    end
    text=[text ' \\ \hline' char(10)];


    for n=1:N
        text=[text betaname{n}];
        for v=varlist{ii}
            if y_hat(v,n)==0;
                te='-';
            else
                te=num2str(y_hat(v,n),'%5.3f');
            end
            text=[text ' & ' te];
        end
        text=[text ' \\' char(10)];
    end
end
disp(text)