disp('POWER OUTPUT SUMMARY')
frmt='%36s ';
for i = 1:size(powertable_scenarios,2)
    frmt=[frmt '%9.2f & '];
end
frmt=[frmt '%4s \n'];
unit='MW \\';
fprintf(frmt, 'Gas turbine power (gross) & ', powertable_scenarios(1,:), unit)
fprintf(frmt, 'Main air compressor work & ', powertable_scenarios(2,:), unit)
fprintf(frmt, 'Second air compressor work & ', powertable_scenarios(3,:), unit)
fprintf(frmt, 'Extra air compressor work & ', powertable_scenarios(4,:), unit)
fprintf(frmt, 'HP steam turbine power & ', powertable_scenarios(5,:), unit)
fprintf(frmt, 'IP steam turbine power & ', powertable_scenarios(6,:), unit)
fprintf(frmt, 'LP steam turbine power & ', powertable_scenarios(7,:), unit)
fprintf(frmt, 'CO$_2$ compression & ', powertable_scenarios(8,:), unit)
fprintf(frmt, 'GT fuel compression work & ', powertable_scenarios(9,:), unit)
fprintf(frmt, 'Auxiliary power consumption & ', powertable_scenarios(10,:), unit)
disp('\hline')
fprintf(frmt, 'Net power output & ', powertable_scenarios(11,:), unit)
disp('\hline')
fprintf(frmt, 'Energy input (CH$_4$ LHV) & ', powertable_scenarios(12,:), unit)
disp('\hline')
fprintf(frmt, 'Efficiency & ', powertable_scenarios(13,:), '\% \\')
disp('\hline')
fprintf(frmt, 'Cold utilities (external cooling) & ', powertable_scenarios(14,:), unit)
fprintf(frmt, 'Hot utilities (external heating) & ', powertable_scenarios(15,:), unit)
disp('\hline')
fprintf(frmt, 'CO$_2$ capture ratio & ',powertable_scenarios(16,:)*100,'\% \\')
fprintf(frmt, 'ATR pressure & ', powertable_scenarios(17,:), 'bar \\')
fprintf(frmt, 'Steam to carbon ratio & ', powertable_scenarios(18,:), ' \\')