varname=cell(1,V);

varname(feedtemp)={'t_{in(ATR)}'};
varname(LTStemp)={'t_{in(LTS)}'};
varname(feedpressure)={'p_{in(ATR)}'};
varname(HTStemp)={'t_{in(LTS)}'};
varname(S2C)={'Steam to carbon ratio'};
varname(airtemp)={'Temperature of air to the ATR'};
varname(steamtemp)={'Temperature of steam to the ATR'};
varname(CS_CO2)={'Mass flow of CO$_2$ after LTS'};
varname(CS_CO)={'Mass flow of CO after LTS'};
varname(CS_H2)={'Mass flow of H$_2$ after LTS'};
varname(HTStemp2)={'HTS product temperature'};
varname(LTStemp2)={'LTS product temperature'};
varname(mCp_GTfuel)={'GT fuel preheating'};
varname(mCp_HTSprod)={'HTS product cooling'};
varname(mCp_LTSprod)={'LTS product cooling'};
varname(mCp_refprod)={'ATR product cooling'};
varname(GTfueltemp)={'Syngas compressor outlet temperature'};
varname(CCU_H2O)={'Mass flow of H$_2$O after WR'};
varname(CCU_CO)={'Mass flow of CO after WR'};
varname(CCU_CO2)={'Mass flow of CO$_2$ after WR'};
varname(CCU_H2)={'Mass flow of H$_2$ after WR'};
varname(CCU_CH4)={'Mass flow of CH$_4$ after WR'};
varname(CCU_N2)={'Mass flow of N$_2$ after WR'};
varname(fuelcompr)={'GT fuel compression work'};
varname(feedflow)={'CH$_4$ feed mass flow'};
varname(steamfeed)={'Mass flow of steam to ATR'};
varname(exh_H2O)={'Mass flow of H$_2$O after combustion'};
varname(exh_CO2)={'Mass flow of CO$_2$ after combustion'};
varname(exh_O2)={'Mass flow of O$_2$ after combustion'};
varname(exh_N2)={'Mass flow of N$_2$ after combustion'};
varname(T_GT)={'Gas turbine outlet temperature'};
varname(T_ATRair_2nd)={'Second air compressor outlet temp.'};
varname(T_ATRair_ext)={'Extra air compressor outlet temp.'};
varname(T_HPturb)={'HP steam turbine outlet temp.'};
varname(T_IPturb)={'IP steam turbine outlet temp.'};
varname(W_GT)={'Gas turbine power'};
varname(W_2ndcompr)={'Second aircompressor work'};
varname(W_extcompr)={'Extra air compressor work'};
varname(W_HPturb)={'HP steam turbine power'};
varname(W_IPturb)={'IP steam turbine power'};
varname(p_GT)={''};
varname(p_ATRair_2nd)={''};
varname(p_ATRair_ext)={''};
varname(p_HPturb)={''};
varname(p_IPturb)={''};
varname(kappafrac_GT)={''};
varname(kappafrac_2ndcompr)={''};
varname(kappafrac_extcompr)={''};
varname(kappafrac_HPturb)={''};
varname(kappafrac_IPturb)={''};
varname(flow_ATRair_2nd)={'Mass flow in second air compressor'};
varname(flow_ATRair_ext)={'Mass flow in extra air compressor'};
varname(HPsteamflow)={'Mass flow in HP steam turbine'};
varname(IPsteamflow)={'Mass flow in IP steam turbine'};
varname(comb_airflow)={'Mass flow of air to combustor'};
varname(Ti_GT)={''};
varname(Ti_ATRair_2nd)={''};
varname(Ti_ATRair_ext)={''};
varname(Ti_HPturb)={''};
varname(Ti_IPturb)={''};

unit=cell(1,length(uels));
unit(temperatures)={'\degree C'};
unit(massflows)={'kg/s'};
unit(energyflows)={'MW'};
unit(pressures)={'bar'};

for i=v_all'
    varname{i}=[varname{i} ' & ' unit{i}];
end